Listar IPs dedicadas
Lista IPs dedicada visible para el principal público API.
curl --request GET \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"type": "<string>",
"asn": 123,
"country_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"ip_addresses": [
{
"ip": "<string>",
"fcrdns_confirmed": false,
"healthy": true,
"rdns": "<string>"
}
],
"updated_at": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"page_size": 123,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parámetros de ruta
Respuesta
IPs dedicado en esta página
Hide child attributes
Hide child attributes
Dedicado IP UUID
Nombre IP dedicado visible para el cliente
Estado de aprovisionamiento o ciclo de vida
Tipo de asignación IP dedicada
Número del sistema autónomo para la asignación
Código de país ISO para la asignación
Marca de tiempo de creación
Direcciones públicas en esta asignación
Hide child attributes
Hide child attributes
Dirección pública IP
Si se aprobó el DNS inverso confirmado hacia adelante
Estado de salud actual cuando esté disponible
Invierta el nombre de host DNS cuando esté configurado
Marca de tiempo de la última actualización
Número de página actual basado en uno
Máximo de artículos por página
Total coincidente dedicado IPs
¿Esta página le ayudó?
